WordPress 5.0 - is your practice website ready?

wordpress-581849_1280.jpg

If your website is built using WordPress, then recent major changes mean it might not work exactly as you’d like - in fact your website might even break completely. In this blog we will look at the issue and how the latest version release of WordPress could cause you and us a headache if not approached carefully!

What is WordPress 5.0?

This is the latest version of the hugely popular website platform, it has been named Gutenberg (after Johannes Gutenberg who invented the movable printing press), and was released, after delays and months of beta testing, on the 6thDecember - its original release date was in mid-November. 

Previous versions and updates of the WordPress platform have only really touched on maintenance tweaks and security patches.

What makes this version so different to previous releases is the user interface. Automattic (who develop the software) have completely revamped the editor - where the pages and blogs/posts are added. The change is the biggest in 15 years of WordPress and has taken well over a year to code and test.

Okay, what has that to do with our WordPress site?

The update will eventually (if it hasn’t already) affect all WordPress sites. Like any new thing, especially in the digital and online world, there are teething problems. If your site runs on WordPress (and an estimated 37.5 million websites globally do), you will see changes with it in the future.

Many hosting companies need the most updated versions running on their servers, which means some will auto upgrade your website. It is important to have the most up to date version for security purposes, as being the world’s most popular website platform means hackers are always looking for chinks in the WordPress armour.

So this is WordPress 5.0 - how do we find out which version we currently use?

In most cases if you use a web developer to look after your website, they will (or should be) aware of your current version and have been updating it in line with security patches, that are frequently released. If you have access to the website CMS (Content Management System) you will find the current version either at the top or the bottom of the dashboard homepage, or more likely on the ‘at a glance’ box at the top of the Dashboard - something like this:

            At a Glance

            9 Posts                       6 Pages

            WordPress 4.9.8 running Avada theme

What will happen to our website?

Because every website is different in terms of what is installed, the layout and coding, it is hard to say. It could quite happily switch over, but more than likely some of the plugins you use, including certain Facebook and Twitter ones, may stop working, or not work properly. This is because the developer of the plugin hasn’t tested or updated it for WordPress 5.0.

In the worst case scenario, your site may go offline completely. If this happens you will need to speak to your web developer to find out the cause. It might be something as simple as a conflicting plugin not working on the site, which once switched off or updated can bring the site back up. It also might be something else that needs even more attention.

If you look after the site yourself, there is a plugin called Classic Editor which should be a decent short term fix. This reverts the editor back to the old version, but still keeps the WordPress version at 5.0. 

Is there any other way we can stop it? 

Again speaking to your web developer may help - they can switch off automatic updates, but you really don’t want to stop it, because it can leave you open to hacking. Using the Classic Editor plugin, can give you time to look at the new version and still have your site live and as secure as it can be.  

What else do I need to know?

The plugins on your site may have not been updated for several months (or even years), but have been quite happily chugging along on previous WordPress versions. With the new update, if these plugins haven’t been upgraded by their developers, then you may need to find new ones - again tested with WordPress 5.0.

There are literally thousands of plugins available for WordPress sites and one site may use up to a dozen or so. Knowing what to look for can be a minefield! The rule of thumb is to look at the last time the plugin was updated, the reviews, and of course that it works on WordPress 5.0. 

The bottom line!

WordPress 5.0 is just the start of new updates, so having it installed on your WordPress site is not only vital for security, but also makes sure your website behaves as it should. If you haven’t taken much notice of your site before, now is the time to look at it. Leaving it and hoping for the best could be a bad move - hackers like old, uncared for, but live websites. Please take the time to look at yours!

The very bottom line!

At VetHelpDirect we are always happy to look at websites, their security and version - so if you would like further advice, or to look at how we can help your website deliver as it should, please get in touch.